## slepc 3.24.0+dfsg1

=== share/slepc/CMakeLists.txt ===
#
#  This is a sample CMakeLists.txt suitable for direct use with a new SLEPc application or
#  you can add fragments of material below to an existing applications CMakeLists.txt
#
#  Usage:  To build ex1 from ex1.c
#    rm -fr build
#    mkdir build
#    cd build
#    cmake ..
#    make
#    ./ex1
#
#  By default it gets both the compiler information and the library information from PETSc
#
cmake_minimum_required(VERSION 3.1.0)

set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# set root of location to find PETSc's and SLEPc's pkg-config
set(PETSC $ENV{PETSC_DIR}/$ENV{PETSC_ARCH})
set(SLEPC $ENV{SLEPC_DIR}/$ENV{PETSC_ARCH})
set(ENV{PKG_CONFIG_PATH} ${PETSC}/lib/pkgconfig:${SLEPC}/lib/pkgconfig)

# Remove the lines below if you do not wish to have PETSc determine the compilers
execute_process ( COMMAND pkg-config PETSc --variable=ccompiler COMMAND tr -d '\n' OUTPUT_VARIABLE C_COMPILER)
SET(CMAKE_C_COMPILER ${C_COMPILER})
execute_process ( COMMAND pkg-config PETSc --variable=cxxcompiler COMMAND tr -d '\n' OUTPUT_VARIABLE CXX_COMPILER)
if (CXX_COMPILER)
  SET(CMAKE_CXX_COMPILER ${CXX_COMPILER})
endif (CXX_COMPILER)
execute_process ( COMMAND pkg-config PETSc --variable=fcompiler COMMAND tr -d '\n' OUTPUT_VARIABLE FORTRAN_COMPILER)
if (FORTRAN_COMPILER)
  SET(CMAKE_Fortran_COMPILER ${FORTRAN_COMPILER})
  enable_language(Fortran)
endif (FORTRAN_COMPILER)

#  tells CMake to build the application ex1 from the source file ex1.c
#  this must appear AFTER the compilers are set
project(ex1)
add_executable(ex1 ex1.c)

find_package(PkgConfig REQUIRED)
pkg_search_module(SLEPC REQUIRED IMPORTED_TARGET SLEPc)
target_link_libraries(ex1 PkgConfig::SLEPC)

=== debian/changelog ===
slepc (3.24.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.24.
    - applies debian patch
      add_LIB_NAME_SUFFIX_in_slepcvariables_MR770.patch
  * fix debian/watch

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Nov 2025 17:44:20 +0100

=== debian/control ===
Source: slepc
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 "Adam C. Powell, IV" <hazelsct@debian.org>,
 Drew Parsons <dparsons@debian.org>,
 Francesco Ballarin <francesco.ballarin@unicatt.it>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3,
 pkgconf, dh-python, gfortran,
 chrpath,
 dh-fortran-mod,
 libpetsc-real3.24-dev, libpetsc-complex3.24-dev, libpetsc3.24-dev-examples,
 libpetsc64-real3.24-dev, libpetsc64-complex3.24-dev,
 libarpack2-dev, libparpack2-dev
Standards-Version: 4.7.2
Section: libs
Homepage: http://slepc.upv.es/
Vcs-Git: https://salsa.debian.org/science-team/slepc.git
Vcs-Browser: https://salsa.debian.org/science-team/slepc

Package: slepc-dev
Section: libdevel
Architecture: any
Depends: libslepc-real-dev | libslepc-complex-dev | libslepc-real3.24-dev | libslepc-complex3.24-dev,
 ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a dependency package which depends on the latest version of SLEPc.

Package: libslepc-real-dev
Section: libdevel
Architecture: any
Depends: libslepc-real3.24-dev, ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a dummy package which depends on the latest version of SLEPc
 with real number support.

Package: libslepc-complex-dev
Section: libdevel
Architecture: any
Depends: libslepc-complex3.24-dev, ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a dummy package which depends on the latest version of SLEPc
 with complex number support.

Package: libslepc-real3.24-dev
Section: libdevel
Architecture: any
Depends: libslepc-real3.24 (= ${binary:Version}), ${petsc:dev},
 libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
 ${misc:Depends}, ${fortran:Depends}, ${python3:Depends}
Suggests: libslepc3.24-dev-examples, slepc3.24-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPc 3.24 with real numbers.

Package: libslepc3.24-dev-examples
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: libslepc-real3.24-dev | libslepc-complex3.24-dev
Suggests: slepc3.24-doc (= ${binary:Version})
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains example, test, and tutorial scripts for SLEPc 3.24.

Package: libslepc-real3.24
Provides: ${t64:Provides}
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2, libslepc3.6 (<= 3.6.1.dfsg1-2)
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc 3.24 with real numbers.

Package: slepc3.24-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libslepc-real3.24-dev | libslepc-complex3.24-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the documentation and examples for SLEPc.

Package: libslepc-complex3.24-dev
Section: libdevel
Architecture: any
Depends: libslepc-complex3.24 (= ${binary:Version}), ${petsc:complex-dev},
 libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
 ${misc:Depends}, ${fortran:Depends}, ${python3:Depends}
Suggests: libslepc3.24-dev-examples, slepc3.24-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPc 3.24 with complex numbers.

Package: libslepc-complex3.24
Provides: ${t64:Provides}
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2, libslepc-complex-3.6 (<= 3.6.1.dfsg1-2)
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc 3.24
 with complex numbers.

Package: slepc64-dev
Section: libdevel
Architecture: any
Depends: libslepc64-real-dev | libslepc64-complex-dev | libslepc64-real3.24-dev | libslepc64-complex3.24-dev,
 ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations (64-bit)
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a dependency package which depends on the latest version of
 SLEPc with 64-bit indexing.

Package: libslepc64-real-dev
Section: libdevel
Architecture: any
Depends: libslepc64-real3.24-dev, ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations (64-bit)
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a dummy package which depends on the latest version of SLEPc
 with real number support and 64-bit indexing.

Package: libslepc64-complex-dev
Section: libdevel
Architecture: any
Depends: libslepc64-complex3.24-dev, ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations (64-bit)
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a dummy package which depends on the latest version of SLEPc
 with complex number support and 64-bit indexing.

Package: libslepc64-real3.24-dev
Section: libdevel
Architecture: any
Depends: libslepc64-real3.24 (= ${binary:Version}), ${petsc64:dev},
 libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
 ${misc:Depends}, ${fortran:Depends}, ${python3:Depends}
Suggests: libslepc3.24-dev-examples, slepc3.24-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations (64-bit)
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPc 3.24 with real numbers and 64-bit indexing.

Package: libslepc64-real3.24
Provides: ${t64:Provides}
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2, libslepc3.6 (<= 3.6.1.dfsg1-2)
Description: Scalable Library for Eigenvalue Problem Computations (64-bit)
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc 3.24 with real
 numbers and 64-bit indexing.

Package: libslepc64-complex3.24-dev
Section: libdevel
Architecture: any
Depends: libslepc64-complex3.24 (= ${binary:Version}), ${petsc64:complex-dev},
 libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
 ${misc:Depends}, ${fortran:Depends}, ${python3:Depends}
Suggests: libslepc3.24-dev-examples, slepc3.24-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations (64-bit)
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPc 3.24 with complex numbers and 64-bit indexing.

Package: libslepc64-complex3.24
Provides: ${t64:Provides}
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2, libslepc-complex-3.6 (<= 3.6.1.dfsg1-2)
Description: Scalable Library for Eigenvalue Problem Computations (64-bit)
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used

=== debian/tests/control ===
Tests: test-slepc
 test-slepc-complex
 test-slepc64
 test-slepc64-complex
Depends: @, @builddeps@

=== debian/watch ===
version=4
opts="dversionmangle=s/[\.\+]dfsg\d//,repacksuffix=+dfsg1, compression=xz, \
 downloadurlmangle=s/slepc-/slepc-with-docs-/" \
 https://slepc.upv.es/download/ distrib/slepc-@ANY_VERSION@@ARCHIVE_EXT@

## slepc 3.24.1+dfsg1

=== debian/changelog ===
slepc (3.24.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. Transition #1121012.
  * update debian/tests
    - hack gmakefile to read slepcvariables from installed lib/slepc/conf
    - keep test control logic in test-slepc only, call from complex
      and 64-bit tests setting SLEPC_DIR and PETSC_DIR

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Nov 2025 13:05:05 +0100

## slepc 3.24.2+dfsg1

=== debian/changelog ===
slepc (3.24.2+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: dh-fortran not dh-fortran-mod
  * update debian/watch to Version 5 format
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jan 2026 19:44:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3,
  pkgconf, dh-python, gfortran,
  chrpath,
- dh-fortran-mod,
+ dh-fortran,
  libpetsc-real3.24-dev, libpetsc-complex3.24-dev, libpetsc3.24-dev-examples,
  libpetsc64-real3.24-dev, libpetsc64-complex3.24-dev,
  libarpack2-dev, libparpack2-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: libs
 Homepage: http://slepc.upv.es/
 Vcs-Git: https://salsa.debian.org/science-team/slepc.git
@@ -262,3 +262,4 @@
 Description: Scalable Library for Eigenvalue Problem Computations (64-bit)
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
+ for either standard or generalized eigenproblems, with real or complex

=== debian/watch ===
Version: 5

Source: https://slepc.upv.es/download/
Matching-Pattern: distrib/slepc-@ANY_VERSION@@ARCHIVE_EXT@
Compression: xz
Downloadurlmangle: s/slepc-/slepc-with-docs-/
Dversionmangle: s/[\.\+]dfsg\d//
Repacksuffix: +dfsg1
